<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Country;
class CountryController extends Controller
{
    public function index(){
        
      $countries=Country::with(['translation'=>function($query){
          $query->where('locale','en');
          
      }])->get();

      return view('admin.country.index',compact('countries'));
      
    }
    public function store(Request $request){
        
        Country::create([
            'code'=>$request->code,
            'en'=>$request->en['name'],
            'ar'=>$request->ar['name'],
            
            ]);
        return redirect()->back()->with('success','Added Successfully');
    }
    public function edit($id){
       $country= Country::whereId($id)->with('translation')->first();

    return view('admin.country.edit',compact('country'));

        
        
    }
    public function update(Request $request,$id){
               $car= Country::whereId($id)->first();
               $car->update([
            'code'=>$request->code,
            'en'=>$request->en['name'],
            'ar'=>$request->ar['name'],
                    
    ]);
                return redirect()->back()->with('success','Updated Successfully');

    }
    public function destroy(Country $country){
        
        $country->delete();
                return redirect()->back()->with('success','Deleted Successfully');

        
    }


    
    
}