<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Promo;
class PromoController extends Controller
{
    public function index(){
        
      $promos=Promo::all();

      return view('admin.promos.index',compact('promos'));
      
    }
    public function store(Request $request){
        
        Promo::create([
            'code'=>$request->code,
            'limit'=>$request->limit
            ]);
        return redirect()->back()->with('success','Added Successfully');
    }
    public function edit($id){
       $promo= Promo::whereId($id)->first();

    return view('admin.promos.edit',compact('promo'));

        
        
    }
    public function update(Request $request,$id){
               $promo= Promo::whereId($id)->first();
               $promo->update([
            'code'=>$request->code,
            'limit'=>$request->limit
                    
    ]);
                return redirect()->back()->with('success','Updated Successfully');

    }
    public function destroy(Promo $promo){
        
        $promo->delete();
                return redirect()->back()->with('success','Deleted Successfully');

        
    }


    
    
}