<?php

namespace App\Http\Controllers\Api\App;

use App\Http\Controllers\Interface_directory\Api\App\SettingRepositoryInterface;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SettingController extends Controller
{
    protected $settingRepository;
    public function __construct(SettingRepositoryInterface $settingRepository)
    {
        $this->settingRepository = $settingRepository;
    }

    public function privacyPolicy(Request $request)
    {
        $privacy = $this->settingRepository->privacyPolicy($request->header('lang'));
        return response()->json(msgdata($request,success(),'success',$privacy));
    }
}
