<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Promo extends Model
{
    protected $fillable = [
        'code','limit','start_date','end_date'
    ];

    public function getEndDateAttribute()
    {
        return Carbon::parse($this->attributes['end_date'])->diffForHumans();
    }
}
