<?php
use Illuminate\Support\Facades\Config;
use \Illuminate\Support\Facades\Auth;
function admin()
{
    return Auth::guard('admin')->user();
}

function generateActivationCode()
{
    return rand(1000,9999);
}

function success()
{
    return 200;
}

function failed()
{
    return 401;
}

function not_active()
{
    return 405;
}

function not_finished_register()
{
    return 408;
}

function jwt()
{
    return 403;
}

function msg($request,$status,$key)
{
    $msg['status'] = $status;
    $msg['msg'] = Config::get('response.'.$key.'.'.$request->header('lang'));

    return $msg;
}

function msgdata($request,$status,$key,$data)
{
    $msg['status'] = $status;
    $msg['msg'] = Config::get('response.'.$key.'.'.$request->header('lang'));
    $msg['data'] = $data;

    return $msg;
}

function getDistanceLatLng($lat1,$lng1,$lat2,$lng2)
{
    $trip = new \App\Models\Trip();

    return $trip->distance($lat1, $lng1, $lat2, $lng2, "K");
}
