               @extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Services</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('dashboard')}}"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">Country</li>
                                <li class="breadcrumb-item active"></li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
                                

        <div class="container-fluid">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-block row">
                        <div class="col-sm-12 col-lg-12 col-xl-12">
                      
                <form class="form-horizontal" method="post" action="{{route('countries.update',$country->id)}}">
                    {{csrf_field()}}
                    @method('patch')
                    <div class="modal-body">
                
                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Code</label>
                            <div class="col-lg-12">
                                <input name="price" value="{{$country->code}}"type="text" placeholder="Price" class="form-control btn-square" required>
                            </div>
                        </div>
                        

                        <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name</label>
                            <div class="col-lg-12">
                                <input  name="en[name]" value="{{$country->getTranslation('en')->name}}" type="text" placeholder="Name" class="form-control btn-square" required>
                            </div>
                        </div>
                        
                         <div class="form-group row">
                            <label class="col-lg-12 control-label text-lg-left" for="textinput">Name In Arabic</label>
                            <div class="col-lg-12">
                                <input  name="ar[name]" value="{{$country->name}}" type="text" placeholder="Name" class="form-control btn-square" required>
                            </div>
                        </div>
                        



                    </div>
                    <div class="modal-footer">
                        <button type="reset" class="btn btn-dark" data-dismiss="modal">Close</button>
                        <button class="btn btn-primary">Save changes</button>
                    </div>
                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

               
@endsection
