@extends('admin.layouts.app')
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header">
                <div class="row">
                    <div class="col">
                        <div class="page-header-left">
                            <h3>Show Profile</h3>
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="index.html"><i data-feather="home"></i></a></li>
                                <li class="breadcrumb-item">Driver</li>
                                <li class="breadcrumb-item active">Show Profile</li>
                            </ol>
                        </div>
                    </div>
                    <!-- Bookmark Start-->
                    {{--<div class="col">--}}
                        {{--<div class="bookmark pull-right">--}}
                            {{--<ul>--}}
                                {{--<li><a href="edit-profile.html#" data-container="body" data-toggle="popover" data-placement="top" title="" data-original-title="Calendar"><i data-feather="calendar"></i></a></li>--}}
                                {{--<li><a href="edit-profile.html#" data-container="body" data-toggle="popover" data-placement="top" title="" data-original-title="Mail"><i data-feather="mail"></i></a></li>--}}
                                {{--<li><a href="edit-profile.html#" data-container="body" data-toggle="popover" data-placement="top" title="" data-original-title="Chat"><i data-feather="message-square"></i></a></li>--}}
                                {{--<li><a href="edit-profile.html#"><i class="bookmark-search" data-feather="star"></i></a>--}}
                                    {{--<form class="form-inline search-form">--}}
                                        {{--<div class="form-group form-control-search">--}}
                                            {{--<input type="text" placeholder="Search..">--}}
                                        {{--</div>--}}
                                    {{--</form>--}}
                                {{--</li>--}}
                            {{--</ul>--}}
                        {{--</div>asd--}}
                    {{--</div>--}}
                    <!-- Bookmark Ends-->
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        @include('admin.layouts.message')
        <div class="container-fluid">
            <div class="edit-profile">
                <div class="row">
                    <div class="col-lg-3">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">My Profile</h4>
                                <div class="card-options"><a class="card-options-collapse" href="edit-profile.html#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                <form>
                                    <div class="row mb-2">
                                        <div class="col-auto"><img class="img-fluid image-radius " src="{{$driver->image}}"></div>
                                    </div>
                                    <br>
                                    <div class="form-group">
                                        <label class="form-label">#</label>
                                        <span class="form-control">{{$driver->id}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">Email-Address</label>
                                        <span class="form-control" style="font-size: 15px">{{$driver->email}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">Phone</label>
                                        <span class="form-control">{{$driver->phone}}</span>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-6">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">Profile</h4>
                                <div class="card-options"><a class="card-options-collapse" href="edit-profile.html#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                    <div class="form-group">
                                        <label class="form-label">Name</label>
                                        <span class="form-control">{{$driver->name}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">Type</label>
                                        <span class="form-control">{{$driver->role}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">Car</label>
                                            <span class="form-control">{{$driver->car->translation->name}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">Car model</label>
                                        <span class="form-control">{{$driver->driverCar->model}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">Car model</label>
                                        <span class="form-control">{{$driver->driverCar->color}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">Car model</label>
                                        <span class="form-control">{{$driver->driverCar->plat_number}}</span>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">Rate</label>
                                        <div class="placeholder" style="color: lightgray;">
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <i class="fa fa-star"></i>
                                            <span class="small">({{ $driver->rate }})</span>
                                        </div>

                                        <div class="overlay" style="position: relative;top: -22px;">

                                            @while($driver->rate>0)
                                                @if($driver->rate >0.5)
                                                    <i class="fa fa-star" style="color: #ffa800"></i>
                                                @else
                                                    <i class="fa fa-star-half" style="color: #ffa800"></i>
                                                @endif
                                                @php $driver->rate--; @endphp
                                            @endwhile

                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>


                    <div class="col-lg-3">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">More Info</h4>
                                <div class="card-options"><a class="card-options-collapse" href="edit-profile.html#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                <div class="form-group">
                                    <label class="form-label">Status</label>
                                    @if($driver->status == 1)
                                        <span class="form-control font font-danger">Busy</span>
                                    @else
                                        <span class="form-control font font-success">Not busy</span>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="form-label">Availability</label>
                                    @if($driver->available == 1)
                                        <span class="form-control font font-success">Online</span>
                                    @else
                                        <span class="form-control font font-danger">Offline</span>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="form-label">Registration</label>
                                    <span class="form-control text-center">{{$driver->created_at}}</span>
                                    <span class="form-control text-center">{{$driver->created_at->diffForHumans()}}</span>
                                </div>
                                <div class="form-group">
                                    <label class="form-label">Orders</label>
                                    <span class="btn btn-dark">{{$driver->trips->count()}}</span>
                                </div>
                            </div>
                        </div>

                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">Settings</h4>
                                <div class="card-options"><a class="card-options-collapse" href="edit-profile.html#" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a><a class="card-options-remove" href="edit-profile.html#" data-toggle="card-remove"><i class="fe fe-x"></i></a></div>
                            </div>
                            <div class="card-body">
                                @if(admin()->hasPermissionTo('Edit driver'))
                                <div class="form-group">
                                    <label class="col-md-6 col-xs-6 control-label">Edit</label>
                                    <div class="col-md-6 col-xs-6">
                                        <a href="{{route('driver.edit',$driver->id)}}"><button class="btn btn-warning">Edit</button></a>
                                    </div>
                                </div>
                                @endif
                                @if($driver->active == 1)
                                    @if(admin()->hasPermissionTo('Suspend driver'))
                                    <div class="form-group">
                                        <label class="col-md-6 col-xs-6 control-label">Suspend</label>
                                        <div class="col-md-6 col-xs-6">
                                            <button class="btn btn-primary mb-control" data-toggle="modal" data-target="#message-box-suspend" title="suspend">Suspend</button>
                                        </div>
                                    </div>
                                    @endif
                                    @if($driver->accept == 0)
                                        @if(admin()->hasPermissionTo('Active driver'))
                                        <div class="form-group">
                                            <label class="col-md-6 col-xs-6 control-label">Contract Active</label>
                                            <div class="col-md-6 col-xs-6">
                                                <button class="btn btn-success mb-control" data-toggle="modal" data-target="#message-box-contract" title="Contract Activate">Activate</button>
                                            </div>
                                        </div>
                                        @endif
                                    @endif
                                @elseif($driver->active == 0)
                                    @if(admin()->hasPermissionTo('Active driver') )
                                    <div class="form-group">
                                        <label class="col-md-6 col-xs-6 control-label">Active</label>
                                        <div class="col-md-6 col-xs-6">
                                            <button class="btn btn-success mb-control" data-toggle="modal" data-target="#message-box-active" title="Activate">Activate</button>
                                        </div>
                                    </div>
                                    @endif
                                @endif
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

    <div class="modal animated fadeIn" id="message-box-suspend" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header btn-primary">
                    <h5 class="modal-title" id="exampleModalLabel">Suspend</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" action="{{route('driver_change_status')}}" class="buttons">
                    {{csrf_field()}}
                    <div class="modal-body">
                        <h4>Are you sure ?</h4>
                        <h6>Your are about to suspend driver .</h6>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="driver_id" value="{{$driver->id}}">
                        <button class="btn btn-dark" type="button" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Confirm</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal animated fadeIn" id="message-box-active" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header btn-success">
                    <h5 class="modal-title" id="exampleModalLabel">Accept</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" action="{{route('driver_change_status')}}" class="buttons">
                    {{csrf_field()}}
                    <div class="modal-body">
                        <h4>Are you sure ?</h4>
                        <h6>Your are about to active driver .</h6>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="driver_id" value="{{$driver->id}}">
                        <button class="btn btn-dark" type="button" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-success">Confirm</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal animated fadeIn" id="message-box-contract" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header btn-success">
                    <h5 class="modal-title" id="exampleModalLabel">Accept</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="post" action="{{route('driver_accept')}}" class="buttons">
                    {{csrf_field()}}
                    <div class="modal-body">
                        <h4>Are you sure ?</h4>
                        <h6>Your are about to active driver .</h6>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" name="driver_id" value="{{$driver->id}}">
                        <button class="btn btn-dark" type="button" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-success">Confirm</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
