<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Country;
use App\Models\ServiceCar;
class ServiceCarsController extends Controller
{

    public function index(){
        
      $services=ServiceCar::all();
      $countries=Country::all();

      return view('admin.servicecars.index',compact('services','countries'));
      
    }
    public function store(Request $request){
        ServiceCar::create([
            'country_id'=>$request->country_id,
            'start'=>$request->start,
            'wait'=>$request->wait,
            'minimum_fare'=>$request->minimum_fare,
            'service_fees'=>$request->service_fees,
            'cancel_before_fees'=>$request->cancel_before_fees,
            'cancel_after_fees'=>$request->cancel_after_fees
            ]);
        return redirect()->back()->with('success','Added Successfully');
    }
    public function edit($id){
       $service= ServiceCar::whereId($id)->first();
             $countries=Country::all();

    return view('admin.servicecars.edit',compact('service','countries'));

        
        
    }
    public function update(Request $request,$id){
               $service= ServiceCar::whereId($id)->first();
$service->update([
                'country_id'=>$request->country_id,
            'start'=>$request->start,
            'wait'=>$request->wait,
            'minimum_fare'=>$request->minimum_fare,
            'service_fees'=>$request->service_fees,
            'cancel_before_fees'=>$request->cancel_before_fees,
            'cancel_after_fees'=>$request->cancel_after_fees

    ]);
                return redirect()->back()->with('success','Updated Successfully');

    }
    public function destroy(ServiceCar $servicecar){
        
        $service->delete();
                return redirect()->back()->with('success','Deleted Successfully');

        
    }
}
